{% extends "dash/layouts/auth-default.html" %}


{% load i18n %}
{% load account socialaccount %}

{% block title %} Login {% endblock title %}

{% block stylesheets %}
<link rel="stylesheet" href="/static/assets/css/django-form.css">
{% endblock stylesheets %}

{% block content %}

    <div class="d-n@sm- peer peer-greed h-100 pos-r bgr-n bgpX-c bgpY-c bgsz-cv" style='background-image: url("/static/dash/assets/static/images/bg.jpg")'>
      <div class="pos-a centerXY">
        <div class="bgc-white bdrs-50p pos-r" style="width: 120px; height: 120px;">
          <img class="pos-a centerXY" src="/static/dash/assets/static/images/logo.png" alt="">
        </div>
      </div>
    </div>
    <div class="col-12 col-md-4 peer pX-40 pY-80 h-100 bgc-white scrollable pos-r" style="min-width: 320px;">

      {% if msg %}
          <h4 class="fw-300 c-grey-900 mB-40">{{ msg | safe }}</h4>
      {% endif %}

      <h4 class="fw-300 c-grey-900 mB-40" style="text-align: center;">{% trans "Sign In" %}</h4>

      <div class="socialaccount_ballot mb-2 py-2" 
        style="border-width: 1px 0; border-color: gray; border-style: dashed; border-radius: 10px;">

        <ul class="socialaccount_providers" style="padding-left: 0; list-style-type: none;">
          {% include "socialaccount/snippets/provider_list.html" with process="login" %}
        </ul>

        
      </div>
      <div class="login-or mb-2" style="text-align: center;">{% trans 'or' %}</div>
      {% get_providers as socialaccount_providers %}
      {% if socialaccount_providers %}
      {% include "socialaccount/snippets/login_extra.html" %}
      {% endif %}

      <div class="mb-4 py-2" style="border-width: 1px 0; border-color: gray; border-style: dashed; border-radius: 10px;">
        <form class="login" method="POST" action="{% url 'account_login' %}"
          style="display: table; margin: 0.5em auto;"
          >
          {% csrf_token %}
          {{ form.as_p }}
          {% if redirect_field_value %}
          <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />
          {% endif %}
          <button class="primaryAction btn btn-primary" type="submit">{% trans "Sign In" %}</button>
          <a class="button secondaryAction ml-2" href="{% url 'account_reset_password' %}">{% trans "Forgot Password?" %}</a><br>
          <a style="display: block;" class="button secondaryAction mt-2" href="{% url 'account_signup' %}">{% trans "Create new account?" %}</a>
        </form>
      </div>

    </div>

{% endblock content %}
